Skip to main content
`Ctrl`+`K`

# VecPointwiseMin

Computes the component-wise minimum `w[i] = min(x[i], y[i])`.

## Synopsis

    #include "petscvec.h"
    PetscErrorCode VecPointwiseMin(Vec w, Vec x, Vec y)

Logically Collective

## Input Parameters

- x - the first input vector

- y - the second input vector

## Output Parameter

- w - the result

## Notes

Any subset of the `x`, `y`, and `w` may be the same vector.

For complex numbers compares only the real part

## See Also

Vectors and Parallel Data, `Vec`, `VecPointwiseDivide()`, `VecPointwiseMult()`, `VecPointwiseMaxAbs()`, `VecMaxPointwiseDivide()`

## Level

advanced

## Location

src/vec/vec/interface/vector.c

## Implementations

VecPointwiseMin_Seq() in src/vec/vec/impls/seq/bvec2.c

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages